import { Overlay } from '@angular/cdk/overlay';
import { OnDestroy } from '@angular/core';
import { AlertCallConfig } from './alert-call-config';
export declare class AlertCallService implements OnDestroy {
    private _overlay;
    private _overlayRef?;
    private _alertContainerRef?;
    constructor(_overlay: Overlay);
    show(config: AlertCallConfig): string;
    hide(key: string): void;
    private _attachAlertContainer;
    ngOnDestroy(): void;
    private _dispose;
}
